Loss of correct mouse focus (interference with Windows 7/8 desktop window manager)

Bug #1131428 reported by Graham Cross
234
This bug affects 30 people
Affects Status Importance Assigned to Milestone
Inkscape
Medium
Patrick Storz
1.0.x
Undecided
Patrick Storz

Bug Description

System: Windows 7 64 bit

My installation of Inkscape 0.48.4-1 has developed a loss of appropriate mouse focus. This occurs at several critical places:
- Icons on the left tool bar become unresponsive after one is clicked. This can only be fixed by clicking focus off the inkscape window itself (eg. another window or Windows desktop)
- The tool icon on the main canvas is not displayed properly, eg. the rectangle tool appears as the pointer tool, etc.
- Tools don't work properly: Eg. I can't use the pointer tool to select object by clicking on it.

Have reinstalled 0.48.4-1 and tried installing 0.48.3 but with no improvement.

I assume this effect must have been due to some Windows update or other software install because 0.48.4 *was* working correctly for several weeks, but have been unable to roll-back successfully to undo this effect. Is this some kind of library or dll update collision?

Thanks for help and regards,
Graham Cross

==== Bug team note ====

The bug seems to be due to an interference between the application and the desktop window manager (DWM) or an application accessing to its buffer on Windows 7 or 8 (and possibly Vista).

Workaround 1: disable the application causing the interference (known applications: Divvy, StrokeIt, Dimscreen, Deliner, CursorFX).
Workaround 2: open Performance Options in Control Panel and select "Adjust for best performance" in the Visual Effects tab (see comment #14).

su_v (suv-lp)
tags: added: ui win32
Revision history for this message
su_v (suv-lp) wrote :

Same issue as reported in Bug #567563 “Random buttons get unclickable”?
<https://bugs.launchpad.net/inkscape/+bug/567563>

Revision history for this message
su_v (suv-lp) wrote :

For GIMP on Windows (uses the same toolkit as Inkscape: GTK+), there have been reports that some screen capture software (Camtasia), or applications like Teamviewer and Skype (because of their screen-sharing abilities) can cause similar symptoms (even if they aren't really in use at that time). One user confirmed that running "Monitor Bright" [1] in autostart to reduce monitor brightness prevented that mouse clicks got registered correctly in GIMP.

Did you install new software lately?

-----
[1] <http://www.jockersoft.com/english/smallbutuseful.php>

Revision history for this message
su_v (suv-lp) wrote :

~suv wrote:
> For GIMP on Windows (…) similar symptoms (…)

See for example this GIMP bug report which now has been reassigned to GTK+:
- 694401 - mouse click makes a selection but not click
  <https://bugzilla.gnome.org/show_bug.cgi?id=694401>

Revision history for this message
su_v (suv-lp) wrote :

Similar report in Inkscape's 'Answers' section:
- Question #221141: “Windows 8 trouble using options/buttons”
  <https://answers.launchpad.net/inkscape/+question/221141>

Revision history for this message
rickmastfan67 (rickmastfan67) wrote :

I'm guessing this is hit and miss. I'm running Windows 7 x64 here and haven't had any mouse focus problems with Inkscape 0.48.4. Guess it's hit and miss.

Maybe deleting the preference files for Inkscape might help fix the problem?

Revision history for this message
su_v (suv-lp) wrote :

Related (likely duplicate) newer report describing the same issue:
- Bug #1140582 "curser not detected after tool is used”
  <https://bugs.launchpad.net/inkscape/+bug/1140582>

Recently also encountered similar questions e.g. in tweets like this one:
<https://twitter.com/takenji_ebooks/status/306395712457945088>

Revision history for this message
Graham Cross (grahamcross-8) wrote : Re: [Bug 1131428] Re: Loss of correct mouse focus, Win 7 64bit

> Maybe deleting the preference files for Inkscape might help fix the
> problem?

Thanks for that - seems to have done the trick. Feel a bit foolish,
should have tried this sooner...
Thx again,
Graham

On Sun, Mar 3, 2013, at 04:36 AM, rickmastfan67 wrote:
> I'm guessing this is hit and miss. I'm running Windows 7 x64 here and
> haven't had any mouse focus problems with Inkscape 0.48.4. Guess it's
> hit and miss.
>
> Maybe deleting the preference files for Inkscape might help fix the
> problem?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1131428
>
> Title:
> Loss of correct mouse focus, Win 7 64bit
>
> Status in Inkscape: A Vector Drawing Tool:
> New
>
> Bug description:
> System: Windows 7 64 bit
>
> My installation of Inkscape 0.48.4-1 has developed a loss of
> appropriate mouse focus. This occurs at several critical places:
> - Icons on the left tool bar become unresponsive after one is clicked.
> This can only be fixed by clicking focus off the inkscape window itself
> (eg. another window or Windows desktop)
> - The tool icon on the main canvas is not displayed properly, eg. the
> rectangle tool appears as the pointer tool, etc.
> - Tools don't work properly: Eg. I can't use the pointer tool to
> select object by clicking on it.
>
> Have reinstalled 0.48.4-1 and tried installing 0.48.3 but with no
> improvement.
>
> I assume this effect must have been due to some Windows update or
> other software install because 0.48.4 *was* working correctly for
> several weeks, but have been unable to roll-back successfully to undo
> this effect. Is this some kind of library or dll update collision?
>
> Thanks for help and regards,
> Graham Cross
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape/+bug/1131428/+subscriptions

Revision history for this message
su_v (suv-lp) wrote : Re: Loss of correct mouse focus, Win 7 64bit

Graham Cross wrote on 2013-03-03
> rickmastfan67 wrote on 2013-03-03
>> I'm guessing this is hit and miss. (…)
>> Maybe deleting the preference files for Inkscape might help
>> fix the problem?
>
> Thanks for that - seems to have done the trick.

@Graham Cross - any chance you could attach the version of the preferences file which caused the described issues on your Windows 7 system? Otherwise this report will have to be closed, since there is no data available which would allow to further investigate which setting in the preferences file exactly triggers the reported issue on Windows.

Changed in inkscape:
status: New → Incomplete
Revision history for this message
su_v (suv-lp) wrote :

Similar newer report which is not fixed by resetting the preferences:
- Bug #1176112 “win8: user interface changes spontaneously”
  <https://bugs.launchpad.net/inkscape/+bug/1176112>

Revision history for this message
Graham Cross (grahamcross-8) wrote :

It turns out that I continue to have this problem, and have given up using Inkscape on this machine (Lenovo X220t, Win 7 64 bit, with all Lenovo utility software installed) .

My preferences file is attached. I can delete this file and have it regenerate, and the problem persists.

Regards,
Graham Cross

su_v (suv-lp)
Changed in inkscape:
status: Incomplete → New
Revision history for this message
Mike Williamson (m-r-williamson7) wrote :

Hi folks

This is affecting me too. https://answers.launchpad.net/inkscape/+question/230197

Based on the advice of suv I started a new account on my system, and inkscape ran fine on that other account. What might be the next step to figuring out exactly what's causing this?

Btw, I'm also using a Lenovo (Z580) - could that be something to do with it?

Mike

Revision history for this message
Steven T. Snyder (7-launchpad-steventsnyder-com) wrote :

I also encounter this problem intermittently. Inkscape worked fine all day yesterday. Today, it does not.

Refocusing on the window makes it work for a click or two, then it stops again.

I have other users reporting this problem, also on Windows 7.

I have also seen a similar issue in GIMP and other GTK+ applications.

Revision history for this message
Steven T. Snyder (7-launchpad-steventsnyder-com) wrote :

I took a look at the other links, and started closing programs that might interfere.

After I closed Divvy, Inkscape started working again.

I reopened Divvy and Inkscape was still working.. however, as soon as I actually used Divvy to resize a window, the bad button behavior came back.

Revision history for this message
Steven T. Snyder (7-launchpad-steventsnyder-com) wrote :

I found another Windows 7 computer which has this problem 100% of the time in another GTK+ app. It doesn't run Divvy or Teamviewer or anything like that.

I closed all open processes until the only possible remaining culprit was dwm.exe --- Desktop Windows Manager. This is part of Windows. I opened Performance Options in Control Panel and selected "Adjust for best performance" in the Visual Effects tab. This disables all the window effects like Aero, smooth scrolling, etc. This setting fixed mouse behavior on the affected computer.

So it seems that GTK+ doesn't play nicely with Windows' compositing window manager, or applications which utilize it.

Revision history for this message
Mike Williamson (m-r-williamson7) wrote :

^ I've just done the same thing on Windows 8 and it also worked. ^

Thanks Steven!

Revision history for this message
su_v (suv-lp) wrote :

Changing bug status to 'Confirmed' based on multiple user reports.

Changed in inkscape:
importance: Undecided → Medium
status: New → Confirmed
Revision history for this message
Bill Detert (wrd4) wrote :

If I leave a small version of the preference window open (maybe any window open) and move my cursor over the window (no need to click), the program works ok. If it is not working correctly and I do this it starts working again. I need to do this all the time. At least I can use Inkscape now.

Revision history for this message
Finn Espen Gundersen (finn-2) wrote :

When this happens, you get the preference window by double-clicking any left toolbar icon.

Revision history for this message
Trisk (triskeldeian) wrote :

I'm having the same problem as reported on a Lenovo machine, Y500, with Windows 8 Pro and all the standard manufacturer applications installed.
Running with any type of compatibility mode doesn't change the outcome.
The only workaround is to keep the inkscape window filling partially the screen and at every operation I have to run the mouse outside of that window so that its focus can be reset by the window manager. Then everything works fine untile the next selection

Revision history for this message
Andrew Price (aprice2704) wrote :

Some problem on win7, 64 bit. Max performance settings fixed it. :)

Revision history for this message
jbvsmo (jbvsmo) wrote :

It's becoming very hard to use inkscape. Shouldn't this have a higher priority?
The program is barely usable on Windows

Revision history for this message
Zuofu Cheng (zcheng1-9) wrote :

Along the lines of what ~suv reported, this happens when you have certain software which accesses the Desktop Window Manager (DWM) frame buffer. In my case, I was using an app called 'deliner.exe' which reduces the interlacing effect to some IPS monitors when running at refresh rates higher than 60. A temporary fix is just to quit out of the app using the Windows task manager.

Revision history for this message
Sebastian (versemelk) wrote :

I too had this problem with GIMP and Inskscape.
After closing Dimscreen.exe all works fine!

Greetings!

Sebastian

jazzynico (jazzynico)
summary: - Loss of correct mouse focus, Win 7 64bit
+ Loss of correct mouse focus (interference with Windows 7/8 desktop
+ window manager)
Revision history for this message
H Kern (hkern0) wrote : Re: [Bug 1131428] Re: Loss of correct mouse focus (interference with Windows 7/8 desktop window manager)

Are you using a Lenovo?
On Jun 30, 2014 10:55 PM, "jazzynico" <email address hidden> wrote:

> ** Summary changed:
>
> - Loss of correct mouse focus, Win 7 64bit
> + Loss of correct mouse focus (interference with Windows 7/8 desktop
> window manager)
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1176112).
> https://bugs.launchpad.net/bugs/1131428
>
> Title:
> Loss of correct mouse focus (interference with Windows 7/8 desktop
> window manager)
>
> Status in Inkscape: A Vector Drawing Tool:
> Confirmed
>
> Bug description:
> System: Windows 7 64 bit
>
> My installation of Inkscape 0.48.4-1 has developed a loss of appropriate
> mouse focus. This occurs at several critical places:
> - Icons on the left tool bar become unresponsive after one is clicked.
> This can only be fixed by clicking focus off the inkscape window itself
> (eg. another window or Windows desktop)
> - The tool icon on the main canvas is not displayed properly, eg. the
> rectangle tool appears as the pointer tool, etc.
> - Tools don't work properly: Eg. I can't use the pointer tool to select
> object by clicking on it.
>
> Have reinstalled 0.48.4-1 and tried installing 0.48.3 but with no
> improvement.
>
> I assume this effect must have been due to some Windows update or
> other software install because 0.48.4 *was* working correctly for
> several weeks, but have been unable to roll-back successfully to undo
> this effect. Is this some kind of library or dll update collision?
>
> Thanks for help and regards,
> Graham Cross
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape/+bug/1131428/+subscriptions
>

jazzynico (jazzynico)
description: updated
Revision history for this message
jazzynico (jazzynico) wrote :

H Kern> Are you using a Lenovo?

No, but as far as I can tell the bug is not limited to Lenovo computers.

Revision history for this message
geniosms (geniosms) wrote :

I love Inkscape, but I experience this bug all the time (Win7 x64).
Sometimes it makes Inkscape almost unusable.
I think that lots of new users abandon Inkscape right after first try just because of it.

It should have high priority in my opinion.

Revision history for this message
Alvin Penner (apenner) wrote :

@geniosms - could you try the suggestion in comment 14 above?

Revision history for this message
Carlos Britez (carlosbritezrodriguez) wrote :

I have a Lenovo Y400 with Windows 8, the problem was solved killing the process IntelligentTouchpad (32 bit), I attached a picture of the process

Revision history for this message
Julier (hervejulier) wrote :

Hi.

I have the same bug (windows seven 64 bits) for inkscape and for gimp too.
I have the application "Just gesture" (it does the same thing that "StrokeIt").
When i disable it, inkscape and gimp work without problem.

Thanks for the tip.

Revision history for this message
Samuel Dellicour (smd) wrote :

I had the same bug with inkscape 0.48 and windows 7.

Disabling StrokesPlus (a mouse gestures app) made the bug go away. Inkscape is usable again.

Revision history for this message
Otis Hulbert (mixxxmastermac) wrote :

I've experienced this issue in a way that after I click once, I am unable to use Inkscape at all, even after losing and regaining focus. However, if I double click anywhere inside Inkscape, the preferences menu pops up. The program doesn't freeze, as I am able to properly resize the window. I don't have any of the aforementioned programs running.

Revision history for this message
Graham Cross (grahamcross-8) wrote :

I started this bug report two years ago. After a Windows reinstall last year, I have been using Inkscape 0.91 successfully for many months, until this evening when this same bug has come back.
Earlier today I upgraded Java on this system after a long while. I am strongly suspicious that this may have caused the problem with Inkscape that I am experience now again. I have no technical reason for this, only the coincidence that I hadn't updated Java in a long time.

regards,
Graham Cross

Revision history for this message
Graham Cross (grahamcross-8) wrote :

Further to above post:
I uninstalled Java and Inkscape, rebooted, and installed InkScape 0.91pre4. The problem was not solved. I suspect I will need to reinstall Windows 7 Pro64 again, which I am planning to do this week anyways.
Regards,
GC

Revision history for this message
Graham Cross (grahamcross-8) wrote :

@Otis Hulbert: I also see the Preference window pop up in the manner you describe, although not every time.

One further observation: before the problem manifested itself this evening, I had started Inkscape and it took an extremely long time for the window to appear (2 minutes +) even though the process was live in the Task Manager. Normally Inkscape fully starts in 2-3 s off my SSD.

GC

Revision history for this message
rickmastfan67 (rickmastfan67) wrote :

Did you happen to install a new font? I noticed today when I installed a new font and then restarted Inkscape it took awhile for it to start. Maybe it was rebuilding a font database?

Revision history for this message
Graham Cross (grahamcross-8) wrote :

I didn't intentionally install a new font. I'm sure that this long start delay has something to do with the issue, and maybe there is a bug as it rebuilds something like a font database as you suggest. However un-install and re-install does not fix this problem.
GC

Revision history for this message
AF (luby-pl) wrote :

f.lux possibly causes the problem.

Revision history for this message
Peter (peladon) wrote :

I find it baffling that this could only be a medium priority issue. (In practice, it seems to have been treated as a low priority, as evidenced by the fact that two and a half years have passed without anything approaching a fix.)

For what it's worth, Windows 8.1 64-bit. I'm on a Lenovo. But none of the above-mentioned processes (e.g. IntelligentTouchpad, StrokeIt) are running on my computer. Re some of the more recent observations, I don't have Java on my computer, and the problems started as soon as I installed Inkscape today, so there can be no question of new fonts affecting anything.

su_v (suv-lp)
description: updated
Revision history for this message
Pavel Strzinek (pajo-sh) wrote :

I am experiencing this issue also on my new Lenovo Yoga 12 ultrabook with Windows 8.1 64bit. I've been using Inkscape for more than 10 years with no significant problems, but this is really frustrating, making it almost impossible to use the application. Disabling visual effects in OS does not seem as a solution to me.

Please raise the priority of the bug as it may also draw back new users of Inkscape.

Revision history for this message
Graham Cross (grahamcross-8) wrote :

Dear Pavel and others on this bug tracker:

I just installed Inkscape 0.91 r13725 (64-bit) on Windows 10
Professional 64-bit, Lenovo X1 Carbon Yoga ultrabook.

I am experiencing the same and/or similar issues with Inkscape as in my
original post. I will attempt some of the fixes suggested back in the
chain if they apply.

Regards,
Graham Cross

On Fri, May 6, 2016, at 09:59 AM, Pavel Strzinek wrote:
> I am experiencing this issue also on my new Lenovo Yoga 12 ultrabook
> with Windows 8.1 64bit. I've been using Inkscape for more than 10 years
> with no significant problems, but this is really frustrating, making it
> almost impossible to use the application. Disabling visual effects in OS
> does not seem as a solution to me.
>
> Please raise the priority of the bug as it may also draw back new users
> of Inkscape.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1131428
>
> Title:
> Loss of correct mouse focus (interference with Windows 7/8 desktop
> window manager)
>
> Status in Inkscape:
> Confirmed
>
> Bug description:
> System: Windows 7 64 bit
>
> My installation of Inkscape 0.48.4-1 has developed a loss of
> appropriate mouse focus. This occurs at several critical places:
> - Icons on the left tool bar become unresponsive after one is clicked.
> This can only be fixed by clicking focus off the inkscape window itself
> (eg. another window or Windows desktop)
> - The tool icon on the main canvas is not displayed properly, eg. the
> rectangle tool appears as the pointer tool, etc.
> - Tools don't work properly: Eg. I can't use the pointer tool to
> select object by clicking on it.
>
> Have reinstalled 0.48.4-1 and tried installing 0.48.3 but with no
> improvement.
>
> I assume this effect must have been due to some Windows update or
> other software install because 0.48.4 *was* working correctly for
> several weeks, but have been unable to roll-back successfully to undo
> this effect. Is this some kind of library or dll update collision?
>
> Thanks for help and regards,
> Graham Cross
>
> ==== Bug team note ====
>
> The bug seems to be due to an interference between the application and
> the desktop window manager (DWM) or an application accessing to its
> buffer on Windows 7 or 8 (and possibly Vista).
>
> Workaround 1: disable the application causing the interference (known
> applications: Divvy, StrokeIt, Dimscreen, Deliner, CursorFX).
> Workaround 2: open Performance Options in Control Panel and select
> "Adjust for best performance" in the Visual Effects tab (see comment
> #14).
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/inkscape/+bug/1131428/+subscriptions

Revision history for this message
Nafets Lesierk (kreisel-stefan) wrote :

Here's another one.

Am using:
Lenovo ThinkPad Yoga 460 -> there are quite a few Lenovo machines here...
Graphics -> has an Intel Graphics 520 on board + Nvidia Geforce 940M
Screen resolution -> 2560x1440
OS -> Windows 10 64bit Home

So its the make, rather the possibility it has something to do with secondary software (e.g. involved in touch screen)!?
So its the screen resolution!?
So its the OS!?

NOTE: Same problem arises in other GTK based software such as Zim Wiki

Workarounds suggested don't change the problem...

Revision history for this message
scott (scottnemiro) wrote :

Windows 7. I had a bing search bar on my desktop that was causing this problem. It was able to float over applications. Once I disabled the toolbar the problem immediately went away. I almost stopped using inkscape because of this. Thanks bug team

Revision history for this message
Mike (todoventas-deactivatedaccount) wrote :

I solved it disabling all APP using Framework 2.0.

Revision history for this message
Mike (todoventas-deactivatedaccount) wrote :

After reading all posts, i see that all aplications mentioned requires Framework 2.0.

Also as mentioned in my previous post i have an aplication i made that requires Framework 2.0 and todat i updated the code to require a newer version and Inskape worked as expected while my app runs.

So there is a conflict on newer Windows versions and Inskape and Framework 2.0.

Usually if people have this inconvenience don't come here to post most likely they just uninstall Inskape.

Revision history for this message
yakut (toxema) wrote :

i am also expriencing same problem with my win7 asus n551 notebook.

i solved problem with changing performace setting of inkscape only.
right click inkscape shurtcut >properties >compatibility> chose disable visual themes
works for me.

but some of visiual effect espacially sliders looks strange.

Revision history for this message
Noah Erickson (noah-v) wrote :

Same issue on Win 10 64 bit on a homebuilt desktop system (Gigabyte Sniper3 mobo, i7-3770k, 16GB RAM, 256GB SSD + 3TB spinner, 2x GTX480 in SLI). Inkscape 0.91 has worked perfectly for a month or so (in which I learned to love it) and started exhibiting this behavior two days ago. I've uninstalled the last two programs I installed (TeamViewer and an on-screen ruler app I've forgotten the name of) and rebooted but the problem persists. There was a recent Windows update (Cumulative Update 1607) but it was a few days before the problem and I don't seem to be able to uninstall it.

Revision history for this message
Graham Cross (grahamcross-8) wrote :

Dear all,

I started this bug report in 2013. I've not used Inkscape in the last few years because of this problem - just installed 0.92.2 on a Win10 64 bit, Lenovo X1 Yoga. Unfortunately the same problem was immediately there.
If I can I will play around in next days with some of the more recent suggestions to see if anything works to fix.
Regards,
Graham Cross

Revision history for this message
Ricardo Martins (khalinexus) wrote :

Dear all,

I've been struggling with this for some time (Windows 10 64 bit). Today I apparently found a solution that solved my problem not by changing inkscape but Windows. My problem was related to the scroll setting. As soon as I changed Xmouse in Windows to be able to "scroll through active windows and inactive modern apps" inkscape started working correctly. I honestly don't know how to fix this other than activating this option in Winaero Tweaker. I know they tweak with the regedit but my knowledge is limited. Hope this helps somehow.

Regards
Ricardo

Revision history for this message
Patrick Storz (ede123) wrote :

I think I hit the same issue when using the software "ScreenToGif" for capturing screencasts of Inkscape for the release notes.

The first click on a button / object worked, the next click was not registered correctly.

Revision history for this message
Patrick Storz (ede123) wrote :

Good news: I think the GIMP team has found a fix for gtk+, see [1].

I'll create a patched gtk+ build when I find the time and check if it fixes our issue, too!

[1] https://bugzilla.gnome.org/show_bug.cgi?id=780979

Revision history for this message
Patrick Storz (ede123) wrote :

Unfortunately the patch [1] does *not* seem to work, at least in my case.

[1] https://git.gnome.org/browse/gimp/tree/build/windows/patches/gtk+-2.24-bug780979.patch

Revision history for this message
Patrick Storz (ede123) wrote :

If someone experiencing this problem is running the latest Inkscape 0.92.3 (32-bit version) you can try to extract the contents of the attached archive (the patched gtk+2 build) into your Inkscape installation folder (you only need the .dll files from the bin/ folder which go directly into the Inkscape root).

Revision history for this message
Dean Householder (deanhouseholder) wrote :

@Eduard Braun

This patch fixed the problem for me! Thanks for linking it!

Revision history for this message
Patrick Storz (ede123) wrote :
Revision history for this message
Patrick Storz (ede123) wrote :

P.S.: Tests welcome. If sucessfull I'll also include the patch in gtk3 builds, so it will be available in upcoming Inkscape 1.0 (which is build with still unpatched gtk3 instead of gtk2)

Changed in inkscape:
assignee: nobody → Patrick Storz (ede123)
status: Confirmed → In Progress
milestone: none → 0.92.4
Revision history for this message
Boaz Dodin (bdcomp) wrote :

As it looks like the last blocker for 0.92.4, I am wondering of the status of this issue.
Patrick?

Revision history for this message
Patrick Storz (ede123) wrote :

I'm not sure how you figure this was a "blocker" to start with, but as I wrote above current development versions of 0.92.x use a patched gtk2.

Tests are welcome, also to determine wether we should consider this patch for gtk3, too.

Revision history for this message
Mike E (someusernamehere) wrote :

Lenovo's/Microsoft's IntelligentTouchpad.exe was the problem for me. The mouse focus issue is present in .92.3 and .92.4. Inkscape 0.48.2 r9819 does *not* exhibit this problem. See attachment for more details and decompilation of IntelligentTouchpad.exe (using ILSpy) and native Win32 calls that could be root of conflict. Unsure.

Revision history for this message
Qantas94Heavy (qantas94heavy) wrote :

As per comment #54, this patch should be included in the build for 0.92.4. If someone is still experiencing this issue, please comment providing details. Thanks!

Changed in inkscape:
status: In Progress → Fix Released
Revision history for this message
Patrick Storz (ede123) wrote :

We need to keep this open.

The patch did *not* land in gtk3 yet, and also the original issue does not seem to be resolved in all cases.

Changed in inkscape:
status: Fix Released → In Progress
Changed in inkscape:
milestone: 0.92.4 → 0.92.5
Patrick Storz (ede123)
Changed in inkscape:
status: In Progress → Fix Committed
milestone: 0.92.5 → 0.92.4
status: Fix Committed → Fix Released
Revision history for this message
Joe (andrew-mainland) wrote :

I can confirm this bug in windows 10 , Inkscape 0.92.4 , with Divvy
Closing Divvy solves the issue.

Revision history for this message
Pedro P. Ayala (ppayala) wrote :

I was experiencing this bug in Inkscape 0.92.4 5da689c313. Hardware is a Lenovo Yoga 2. Uninstalling Lenovo WriteIt application solved it for me.

Revision history for this message
Patrick Storz (ede123) wrote :

Tracking bug in new GitLab tracker:
https://gitlab.com/inkscape/inkscape/-/issues/1163

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.